%define	name	bzflag
%define version 2.0.12
%define release %mkrel 1
%define	Summary	A multiplayer 3D tank battle game
%define libname %mklibname %{name} 2

Name:		%{name}
Summary:	%{Summary}
Version:	%{version}
Release:	%{release}
Source0:	http://download.sourceforge.net/bzflag/%{name}-%{version}.tar.bz2
Patch0: bzflag-2.0.4-lookup.patch
Patch1: bzflag-2.0.10-plugins.patch
Patch2: bzflag-2.0.10-gcc-4.3.patch
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
URL:		http://BZFlag.SourceForge.net/
License:	LGPLv2
Group:		Games/Arcade
BuildRequires:	mesa-common-devel X11-devel curl-devel zlib-devel
BuildRequires:	SDL-devel SDL_image-devel
BuildConflicts:	freetds-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Epoch:		1

%description
BZFlag is a multiplayer 3D tank battle game. It's one of the most popular games
ever on Silicon Graphics systems.

%prep
%setup -q
%patch0 -p1 -b .lookup
#%patch1 -p1 -b .plugins
%patch2 -p1 -b .gcc-4.3

%build
%configure2_5x --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir} --enable-robots
%make CXXFLAGS="$RPM_OPT_FLAGS -O1 -ffast-math -fno-exceptions -fsigned-char"

%install
rm -rf %{buildroot}
%{makeinstall_std}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=BZflag
Comment=A multiplayer 3D tank battle game
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README BUGS
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_mandir}/*/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Thu Jun 26 2008 Funda Wang <fundawang@mandriva.org> 1:2.0.12-1mdv2009.0
+ Revision: 229211
- New version 2.0.12

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri May 30 2008 Funda Wang <fundawang@mandriva.org> 1:2.0.10-2mdv2009.0
+ Revision: 213232
- add fedora patches

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.0.10-1mdv2008.1
+ Revision: 109289
- New release 2.0.10

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Fri Jun 01 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.0.8-7mdv2008.0
+ Revision: 34340
- Rebuild with libslang2.

* Sun May 27 2007 Funda Wang <fundawang@mandriva.org> 1:2.0.8-6mdv2008.0
+ Revision: 31710
- Rebuild against directfb 1.0


* Fri Feb 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.8-5mdv2007.0
+ Revision: 125208
- rebuild against new libgii

* Tue Jan 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.8-4mdv2007.1
+ Revision: 109480
- Rebuild against new curl
- Import bzflag

* Sun Sep 17 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.8-3mdv2007.0
- compile with -O1 to have shots fired actually hit stuff too

* Sun Sep 17 2006 Emmanuel Andry <eandry@mandriva.org> 2.0.8-2mdv2007.0
- xdg menu
- fix buildrequires
- add missing buildrequires SDL-devel SDL_image-devel

* Wed May 17 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.8-1mdk
- 2.0.8
- drop devel package

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 1:2.0.4-4mdk
- rebuild for sparc

* Tue Mar 14 2006 Erwan Velu <erwan@seanodes.com> 2.0.4-3mdk
- Fixing build requires

* Tue Mar 14 2006 Erwan Velu <erwan@seanodes.com> 2.0.4-2mdk
- Fixing description

* Tue Mar 14 2006 Erwan Velu <erwan@seanodes.com> 2.0.4-1mdk
- 2.0.4
- Enable robot
- Adding devel files

* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.2-3mdk
- rebuilt against openssl-0.9.8a

* Sun Jul 31 2005 Guillaume Bedot <littletux@mandriva.org> 1:2.0.2-2mdk
- rebuild
- Patch0: allows to build with new gcc

* Sat Apr 30 2005 Lenny Cartier <lenny@mandriva.com> 2.0.2-1mdk
- from Emmanuel Andry <eandry@free.fr> : 
	- 2.0.2 "Queen of Maybe"

* Wed Jan 19 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0.0-1mdk
- 2.0.0 "Falcor's Despair"
- update compile flags

* Tue Dec 14 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.10.8-1mdk
- 1.10.8
- drop Packager tag

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.10.6-3mdk
- Rebuild with new menu

* Mon Jun 07 2004 Michael Scherer <misc@mandrake.org> 1.10.6-2mdk 
- rebuild for new gcc

* Fri May 21 2004 Michael Scherer <misc@mandrake.org> 1.10.6-1mdk
- New release 1.10.6

